#ifndef CYGONCE_HAL_PLF_AUX_H
#define CYGONCE_HAL_PLF_AUX_H
//=============================================================================
//
//      plf_aux.h
//
//      Platform specific auxiliary functions
//
//=============================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//=============================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   rcassebohm
// Contributors:rcassebohm
// Date:        2003-11-10
// Purpose:     ARM/KS32C platform specific auxiliary functions
// Description: 
// Usage:       #include <cyg/hal/plf_io.h>

//-----------------------------------------------------------------------------
// I2C support

typedef struct hal_ks32c_i2c_msg_s
{
    cyg_uint8   devaddr;
    cyg_int8    status;
    cyg_uint8*  pbuf;
    cyg_uint32  bufsize;
} hal_ks32c_i2c_msg_t;

//  Transfer the I2C messages.
externC int
hal_ks32c_i2c_transfer(cyg_uint32 nmsg, hal_ks32c_i2c_msg_t* pmsgs);

//-----------------------------------------------------------------------------
// AIM 711 specific EEPROM support

externC int
hal_aim711_eeprom_read(cyg_uint8 *buf, int offset, int len);

externC int
hal_aim711_eeprom_write(cyg_uint8 *buf, int offset, int len);

//-----------------------------------------------------------------------------
// end of plf_aux.h
#endif // CYGONCE_HAL_PLF_AUX_H
